Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,778,846 Members 39,934 Now Online
XDA Developers Android and Mobile Development Forum

[Q] How to install Liberty ROM v7a to HTC One S ? Whats Procedure steps ?

Tip us?
 
natmacax
Old
#1  
Member - OP
Thanks Meter 1
Posts: 61
Join Date: Apr 2014
Location: Istanbul
Info 2 [Q] How to install Liberty ROM v7a to HTC One S ? Whats Procedure steps ?

hi

i need liberty rom install procedure steps to install liberty rom v7a (4.3 Sense 5) for my htc one s. What should i look care

for example

needs;
* kernel xxxx
* firmware xxxx
* hboot vxxx

install prcoedure
* full wipe
* install recovery tool TWRP or CWM
* install zip from sd card

thnx
 
Rapier
Old
#2  
Rapier's Avatar
Recognized Contributor
Thanks Meter 1614
Posts: 3,477
Join Date: Jun 2008
Location: Bucharest

 
DONATE TO ME
Quote:
Originally Posted by natmacax View Post
hi

i need liberty rom install procedure steps to install liberty rom v7a (4.3 Sense 5) for my htc one s. What should i look care

for example

needs;
* kernel xxxx
* firmware xxxx
* hboot vxxx

install prcoedure
* full wipe
* install recovery tool TWRP or CWM
* install zip from sd card

thnx
Needs
- s-off to install radio and firmware
- firmware 2.15
- kernel included in the rom
- hboot ...this is redundant. hboot is the same as firmware
- radio 1.35a. if you don't install this radio you won't have HSPA/HSPA+ mobile data, you will be limited to 3G (UMTS) speeds.

install procedure
- install recovery from OP (or official TWRP 2.7.0.0)
- flash firmware 2.15 (if needed)
- flash radio 1.35a
- full wipe
- flash ROM
Don't force it...use a bigger hammer!

HTC One S - AOSPA Legacy 4+ / CandyKat
HTC Desire S - IceColdSandwich
HTC Legend - CyanogenMod V7.1.0 (sold)
The Following User Says Thank You to Rapier For This Useful Post: [ Click to Expand ]
 
natmacax
Old
#3  
Member - OP
Thanks Meter 1
Posts: 61
Join Date: Apr 2014
Location: Istanbul
Quote:
Originally Posted by Rapier View Post
Needs
- s-off to install radio and firmware
- firmware 2.15
- kernel included in the rom
- hboot ...this is redundant. hboot is the same as firmware
- radio 1.35a. if you don't install this radio you won't have HSPA/HSPA+ mobile data, you will be limited to 3G (UMTS) speeds.

install procedure
- install recovery from OP (or official TWRP 2.7.0.0)
- flash firmware 2.15 (if needed)
- flash radio 1.35a
- full wipe
- flash ROM

thnx a lot man...

just download zip and sent to sd car then open TWRP install zip form sd card... everythings is fine . thank you

before this rom, i installed the maximus hd rom. that means I've already completed this steps.

im happy now
 
Rapier
Old
(Last edited by Rapier; 30th April 2014 at 02:00 PM.)
#4  
Rapier's Avatar
Recognized Contributor
Thanks Meter 1614
Posts: 3,477
Join Date: Jun 2008
Location: Bucharest

 
DONATE TO ME
Quote:
Originally Posted by natmacax View Post
thnx a lot man...

just download zip and sent to sd car then open TWRP install zip form sd card... everythings is fine . thank you

before this rom, i installed the maximus hd rom. that means I've already completed this steps.

im happy now
If you had MaximusHD check your hboot again. MaximusHD requires 2.16 hboot and most of the ROMs are for 2.15. You might need either to search only for ROMs made for 2.16 (these are fewer) or to downgrade hboot to 2.15 in order to flash majority of the ROMs. Also for hboot 2.16 it is needed a special modded recovery, the official TWRP is not OK

If you want just Liberty, then you have to be sure you choose in Aroma Installer the 2.16 hboot and I think you need to use the same recovery you used for MaximusHD. Sorry but you didn't specified from start that you're on hboot 2.16. I would have told you that in this case you should keep the recovery you used for MaximusHD
Don't force it...use a bigger hammer!

HTC One S - AOSPA Legacy 4+ / CandyKat
HTC Desire S - IceColdSandwich
HTC Legend - CyanogenMod V7.1.0 (sold)
 
natmacax
Old
#5  
Member - OP
Thanks Meter 1
Posts: 61
Join Date: Apr 2014
Location: Istanbul
Unhappy 89424525

Quote:
Originally Posted by Rapier View Post
If you had MaximusHD check your hboot again. MaximusHD requires 2.16 hboot and most of the ROMs are for 2.15. You might need either to search only for ROMs made for 2.16 (these are fewer) or to downgrade hboot to 2.15 in order to flash majority of the ROMs. Also for hboot 2.16 it is needed a special modded recovery, the official TWRP is not OK

If you want just Liberty, then you have to be sure you choose in Aroma Installer the 2.16 hboot and I think you need to use the same recovery you used for MaximusHD. Sorry but you didn't specified from start that you're on hboot 2.16. I would have told you that in this case you should keep the recovery you used for MaximusHD
Rapier, thanks for the great information

i check this
***UNLOCKED***
VLE ......... S-OFF RL
Hboot 2.16.000
Radio 1.35a.32.42.27

Aug 16 2013,16:59:47:12963

i installed Liberty Rom S4 v7a via the TWRP v2.6.1.0 above conditions .

i understand right, hboot is need to downgrade 2.15 and re flash liberty

am i right ?

thnx
 
circuit1
Old
#6  
Account currently disabled
Thanks Meter 36
Posts: 162
Join Date: Apr 2014
Quote:
Originally Posted by natmacax View Post
Rapier, thanks for the great information

i check this
***UNLOCKED***
VLE ......... S-OFF RL
Hboot 2.16.000
Radio 1.35a.32.42.27

Aug 16 2013,16:59:47:12963

i installed Liberty Rom S4 v7a via the TWRP v2.6.1.0 above conditions .

i understand right, hboot is need to downgrade 2.15 and re flash liberty

am i right ?

thnx
I think liberty is dual hboot compatible according to the author, I had installed on hboot 2.16 and it worked fine.
 
Rapier
Old
#7  
Rapier's Avatar
Recognized Contributor
Thanks Meter 1614
Posts: 3,477
Join Date: Jun 2008
Location: Bucharest

 
DONATE TO ME
Quote:
Originally Posted by natmacax View Post
Rapier, thanks for the great information

i check this
***UNLOCKED***
VLE ......... S-OFF RL
Hboot 2.16.000
Radio 1.35a.32.42.27

Aug 16 2013,16:59:47:12963

i installed Liberty Rom S4 v7a via the TWRP v2.6.1.0 above conditions .

i understand right, hboot is need to downgrade 2.15 and re flash liberty

am i right ?

thnx
No, you're fine to go as you are. Liberty is the single ROM as I know, that has in Aroma installer option for 2.15 or 2.16 hboot. So you could use with your current one as well, no need to downgrade. 2.15 will be needed if you want to flash other ROMs, mainly AOSP KitKat ones
Don't force it...use a bigger hammer!

HTC One S - AOSPA Legacy 4+ / CandyKat
HTC Desire S - IceColdSandwich
HTC Legend - CyanogenMod V7.1.0 (sold)
 
and.u
Old
#8  
Junior Member
Thanks Meter 0
Posts: 1
Join Date: Feb 2014
Quote:
Originally Posted by Rapier View Post
Needs
- s-off to install radio and firmware
- firmware 2.15
- kernel included in the rom
- hboot ...this is redundant. hboot is the same as firmware
- radio 1.35a. if you don't install this radio you won't have HSPA/HSPA+ mobile data, you will be limited to 3G (UMTS) speeds.

install procedure
- install recovery from OP (or official TWRP 2.7.0.0)
- flash firmware 2.15 (if needed)
- flash radio 1.35a
- full wipe
- flash ROM
I'm sorry man, i've got a question! I'm S-ON HBOOT 2.15. Before flashing that rom i had CM 10.2. Few days ago i decided to try this one and when aroma started i has so happy. During the installation aroma asked me to install the radio 1.35.... for LTE data connection and i did it....but now i realize why my connection data stay at everytime only on G. Is that the reason?? I am 1.11.50.05.28_10.27.50.08L , is that because i have no any 3G H H+ data connection?? How can i fix it?? Can you please help me??
 
Rapier
Old
(Last edited by Rapier; 13th May 2014 at 09:17 PM.)
#9  
Rapier's Avatar
Recognized Contributor
Thanks Meter 1614
Posts: 3,477
Join Date: Jun 2008
Location: Bucharest

 
DONATE TO ME
Yes, this is the reason. Being S-On, you cannot flash radios. Aroma doesn't know that and tries to install but it can't (and doesn't give an error either I think). Based on what you said, you're still on 1.11 radio and you cannot have mobile data speeds higher than UMTS with that radio. You will need 1.35 radio for that.

This is valid for Liberty ROM only. For other ROMs your radio is ok and you could reach higher speeds
As I previously said, only way is to try one of the methods to gain S-Off and then you can flash that radio. There's no other way unfortunately

Sent from nowhere over the air...
Don't force it...use a bigger hammer!

HTC One S - AOSPA Legacy 4+ / CandyKat
HTC Desire S - IceColdSandwich
HTC Legend - CyanogenMod V7.1.0 (sold)

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Add Timestamps to Xposed Installer Logs with… Xposed!

If talking about the most interesting projects in the last few years, we must … more

Secrecy Goes Open Source, Assures File Encryption

As some of you may remember, a while back we spoke about Secrecy, an effective file … more

[APK] Google News and Weather Gets Material Design Makeover, Minor Maps Updates

Although Google has somewhat gotten out of the habit of their … more

Software Build Automation with Jenkins – XDA Developer TV

Many members of the XDA community come to learn and begin in the exciting … more